:host ::ng-deep {
    display: flex;
    flex-direction: column;
    flex: 1 0 0;

    .edit-diet-wrapper {
        display: flex;
        flex-direction: row;
        height: 100%;

        >.edit-diet-sections {
            background: rgba(255, 255, 255, 0.03);
            flex-grow: 0;
            flex-shrink: 0;
            width: 240px;
            overflow-y: auto;
            display: flex;
            flex-direction: column;
            height: 100%;
            padding-top: 10px;
            padding-left: 4px;
            padding-right: 4px;
            color: white;

            >.group-settings {
                gap: 2px;
                display: flex;
                flex-direction: column;

                &+.group-settings {
                    margin-top: 1.25rem;
                }

                >.menu-group-label,
                .item-menu {
                    padding-left: 12px;
                    padding-right: 12px;
                    border-radius: 3px;
                    min-height: 27px;
                    display: flex;
                    align-items: center;
                    cursor: pointer;
                    transition: background 20ms ease-in 0s;
                    gap: 8px;
                    font-size: 14px;
                    line-height: 20px;
                    color: rgba(255, 255, 255, 0.81);

                    &:hover {
                        background-color: rgba(255,255,255,0.055);
                    }
                }

                >.menu-group-label {
                    font-size: 12px;
                    line-height: 1;
                    margin-bottom: 1px;
                    color: rgba(255, 255, 255, 0.443);
                }

                >.item-menu {

                    & + .item-menu {
                        margin-top: 4px;
                    }
                    
                    > .mat-icon {
                        font-size: 18px;
                        height: 18px;
                        width: 18px;
                    }
                    &.user-info {
                        align-items: center;
                        height: 44px;
                        gap: 8px;

                        >.user-info-avatar {
                            flex: 0 0 22px;
                            height: 22px;
                            display: block;
                            background-color: #673ab7;
                            border-radius: 50%;
                        }

                        >.user-info-text {
                            display: flex;
                            flex-direction: column;

                            label {
                                font-size: 14px;
                                line-height: 20px;
                                color: rgba(255, 255, 255, 0.81);
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                                font-weight: 500;
                                margin-bottom: 0;
                            }

                            span {
                                font-size: 12px;
                                line-height: 16px;
                                color: rgba(255, 255, 255, 0.443);
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }
                        }


                    }
                }


            }



        }

        >.edit-diet-content {
            flex-grow: 1;
            position: relative;
            z-index: 1;
            height: 100%;
            display: flex;
            flex-direction: column;
            width: 100%;
            background-color: rgb(32, 32, 32);
            color: white;
            padding: 36px 60px;
            overflow-y: auto;

            * {
                color: white;
                font-size: 14px;
            }

            .days-to-be-override {
                display: flex;
                align-items: center;
                gap: 12px;
            }

            .stepper {
                position: relative;
                padding-left: 3rem;
                padding-bottom: 1.75rem;
                display: flex;
                flex-direction: column;
                align-items: baseline;

                &::before {
                    counter-increment: section;
                    content: counter(section);
                    display: flex;
                    height: 25px;
                    width: 25px;
                    background: rgba(0, 0, 0, 0.87);
                    position: absolute;
                    border-radius: 50%;
                    left: 0;
                    align-items: center;
                    justify-content: center;
                    font-size: 12px;
                    font-weight: 900;
                    color: #cfcfcf;
                }

                &:not(:last-child)::after {
                    content: "";
                    width: 2px;
                    top: 30px;
                    left: 12px;
                    bottom: 0;
                    height: calc(100% - 37px);
                    background: #70707070;
                    position: absolute;
                    border-radius: 2px;
                }


            }
        }

    }
}